/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::get_type_info"
  type_info_t Signal::get_type_info (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    type_info_t _return = _type_info;
    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
